=== examples/corelib/bindableproperties/CMakeLists.txt ===
qt_internal_add_example(bindablesubscription)
qt_internal_add_example(subscription)
