=== examples/widgets/draganddrop/CMakeLists.txt ===
# Generated from draganddrop.pro.

qt_internal_add_example(draggableicons)
qt_internal_add_example(draggabletext)
qt_internal_add_example(dropsite)
qt_internal_add_example(fridgemagnets)
qt_internal_add_example(puzzle)
