=== tests/manual/highdpi/kitchensink/CMakeLists.txt ===
# Generated from kitchensink.pro.

#####################################################################
## kitchensink Binary:
#####################################################################

qt_internal_add_manual_test(kitchensink
    SOURCES
        dragwidget.cpp dragwidget.h
        main.cpp
    DEFINES
        HAVE_SCREEN_BASE_DPI
    INCLUDE_DIRECTORIES
        .
    PUBLIC_LIBRARIES
        Qt::Gui
        Qt::GuiPrivate
        Qt::Widgets
)

# Resources:
set(kitchensink_resource_files
    "qticon16.png"
    "qticon16@2x.png"
    "qticon16@3x.png"
    "qticon32.png"
    "qticon32@2x.png"
    "qticon64.png"
)

qt_internal_add_resource(kitchensink "kitchensink"
    PREFIX
        "/"
    FILES
        ${kitchensink_resource_files}
)


#### Keys ignored in scope 1:.:.:kitchensink.pro:<TRUE>:
# TEMPLATE = "app"
