=== tests/auto/corelib/tools/qeasingcurve/CMakeLists.txt ===
# Generated from qeasingcurve.pro.

#####################################################################
## tst_qeasingcurve Test:
#####################################################################

qt_internal_add_test(tst_qeasingcurve
    SOURCES
        tst_qeasingcurve.cpp
)
