=== tests/auto/gui/util/qregularexpressionvalidator/CMakeLists.txt ===
# Generated from qregularexpressionvalidator.pro.

#####################################################################
## tst_qregularexpressionvalidator Test:
#####################################################################

qt_internal_add_test(tst_qregularexpressionvalidator
    SOURCES
        tst_qregularexpressionvalidator.cpp
    PUBLIC_LIBRARIES
        Qt::Gui
)
