=== tests/auto/widgets/graphicsview/qgraphicspixmapitem/CMakeLists.txt ===
# Generated from qgraphicspixmapitem.pro.

#####################################################################
## tst_qgraphicspixmapitem Test:
#####################################################################

qt_internal_add_test(tst_qgraphicspixmapitem
    SOURCES
        tst_qgraphicspixmapitem.cpp
    PUBLIC_LIBRARIES
        Qt::Gui
        Qt::Widgets
)
