=== debian/changelog ===
qt6-base (6.2.4-1+dde) unstable; urgency=medium

  * New upstream release (6.2.4).

 -- Duan Ting <duanting@uniontech.com>  Thu, 09 Jun 2022 11:00:49 +0800

qt6-base (6.2.2.1+dde) unstable; urgency=medium

  * Update symbols fils.
  * Update i386 symbols.

 -- Lu YaNing <luyaning@uniontech.com>  Fri, 18 Feb 2022 13:43:32 +0800

qt6-base (6.2.2+dfsg-2) experimental; urgency=medium

  [ Pino Toscano ]
  * Update symbols files from the logs of buildds.

  [ Patrick Franz ]
  * Remove copyright-script as it is now in the pkg-kde-tools package.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Add a qmake6 symlink to usr/bin.

 -- Patrick Franz <deltaone@debian.org>  Fri, 31 Dec 2021 18:44:53 +0100

qt6-base (6.2.2+dfsg-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.2.2).
  * Update ABI to 6.2.2.
  * Update installed files.
  * Update lintian-overrides.
  * Update symbols.
  * Remove unneeded licenses from d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Wed, 01 Dec 2021 23:55:33 +0100

qt6-base (6.2.1+dfsg-5) experimental; urgency=medium

  * Team upload.
  * Update symbols files from the logs of buildds; do manual fixes for vulkan
    symbols in qt6gui6 for 32bit vs 64bit versions, and for CPU-specific ones.

 -- Pino Toscano <pino@debian.org>  Sun, 21 Nov 2021 19:58:51 +0100

qt6-base (6.2.1+dfsg-4) experimental; urgency=medium

  * Team upload.
  * Update install files for Linux-only bits.
  * Update libqt6test6.symbols for 32bit architectures.

 -- Pino Toscano <pino@debian.org>  Sat, 20 Nov 2021 16:53:32 +0100

qt6-base (6.2.1+dfsg-3) experimental; urgency=medium

  * Team upload.
  * Update symbols files from the logs of buildds.
  * Restrict the liblttng-ust-dev build dependency as linux-any, as it is
    specific for Linux.

 -- Pino Toscano <pino@debian.org>  Sat, 20 Nov 2021 12:29:08 +0100

qt6-base (6.2.1+dfsg-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Change path for libexec.

 -- Patrick Franz <deltaone@debian.org>  Sat, 20 Nov 2021 03:07:02 +0100

qt6-base (6.2.1+dfsg-1) experimental; urgency=medium

  [ Patrick Franz ]
  * Tighten dependencies.
  * New upstream release (6.2.1).
  * Update ABI to 6.2.1.
  * Update installed files.
  * Update symbols.

 -- Patrick Franz <deltaone@debian.org>  Fri, 05 Nov 2021 15:51:24 +0100

qt6-base (6.2.0+dfsg-1) experimental; urgency=medium

  * Initial release (Closes: #994478).

 -- Patrick Franz <deltaone@debian.org>  Fri, 17 Sep 2021 02:34:49 +0200
